/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2014 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.annotation.labelprovider;

import org.fortiss.tooling.base.model.element.IModelElement;
import org.fortiss.tooling.base.ui.annotation.view.IAnnotationViewPart;
import org.fortiss.tooling.kernel.model.INamedCommentedElement;
import org.fortiss.tooling.kernel.model.INamedElement;

/**
 * Label provider that uses the comments of {@link INamedElement}s as column labels.
 * 
 * @author barner
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: 5084B8A2C653EDCE57DEB4E90AA911BA
 */
public class ElementCommentLabelProvider extends ElementLabelProviderBase {
	/** Creates a new {@link ElementCommentLabelProvider}. */
	public ElementCommentLabelProvider(IAnnotationViewPart viewPart) {
		super(viewPart);
	}

	/** {@inheritDoc} */
	@Override
	public String getText(IModelElement modelElement) {
		if(modelElement instanceof INamedCommentedElement) {
			return ((INamedCommentedElement)modelElement).getComment();
		}

		return null;
	}
}
