/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2011 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.layout;

import org.fortiss.tooling.base.model.layout.ILayoutedModelElement;

/**
 * Default constants for graphical layouts.
 * 
 * @author hoelzl
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating YELLOW Hash: E06716E35014701248789965718B4366
 */
public class DefaultLayoutConstants {

	// editor grid constants
	/** The default origin x of the grid. */
	public static final int DEFAULT_GRID_ORIGIN_X = 0;

	/** The default origin y of the grid. */
	public static final int DEFAULT_GRID_ORIGIN_Y = 0;

	/** The default size between two lines of the grid. */
	public static final int DEFAULT_GRID_SIZE = 12;

	// shape default constants
	/** The default size of the insets of a shape. */
	public static final int DEFAULT_SHAPE_INSETS = DEFAULT_GRID_SIZE;

	/** The default minimum width of a shape. */
	public static final int DEFAULT_SHAPE_MINIMUM_WIDTH = 9 * DEFAULT_GRID_SIZE;

	/** The default minimum height of a shape. */
	public static final int DEFAULT_SHAPE_MINIMUM_HEIGHT = 6 * DEFAULT_GRID_SIZE;

	/** The default aspect ratio of shapes. */
	public static final double DEFAULT_SHAPE_ASPECT_RATIO = 1.6;

	// connector default constants
	/** The size of a default connector. */
	public static final int DEFAULT_CONNECTOR_SIZE = 2 * DEFAULT_GRID_SIZE;

	/** The default position offset of a shape. */
	public static final int DEFAULT_SHAPE_OFFSET = 2 * DEFAULT_GRID_SIZE;

	// element default constants
	/**
	 * Default offset by which {@link ILayoutedModelElement}s are shifted horizontally and
	 * vertically.
	 */
	public static final int SHIFT_OFFSET = 5;

}
