/*--------------------------------------------------------------------------+
$Id$
|                                                                          |
| Copyright 2013 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.eclipse.jface.viewers;

import org.eclipse.swt.graphics.Image;

/**
 * Base class for table-label providers that has empty implementation for methods.
 * 
 * @author ratiud
 * @author $Author$
 * @version $Rev$
 * @ConQAT.Rating GREEN Hash: AEA79AB72E837515E303D4EEDC1B65CB
 */
public abstract class TableLabelProviderBase implements ITableLabelProvider {

	/** {@inheritDoc} */
	@Override
	public void addListener(ILabelProviderListener listener) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public void dispose() {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public boolean isLabelProperty(Object element, String property) {
		return false;
	}

	/** {@inheritDoc} */
	@Override
	public void removeListener(ILabelProviderListener listener) {
		// do nothing
	}

	/** {@inheritDoc} */
	@Override
	public Image getColumnImage(Object element, int columnIndex) {
		return null;
	}
}
