/*-------------------------------------------------------------------------+
|                                                                          |
| Copyright 2005-2011 The ConQAT Project                                   |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+-------------------------------------------------------------------------*/
package org.conqat.ide.commons.ui.tree;

import org.conqat.ide.commons.ui.jface.TreeContentProviderBase;
import org.conqat.lib.commons.assertion.CCSMPre;
import org.conqat.lib.commons.tree.SimpleTreeNode;

/**
 * Tree content provider that displays types in a hierarchy.
 * 
 * @author $Author: juergens $
 * @version $Rev: 34632 $
 * @ConQAT.Rating GREEN Hash: DB4E320F9E19769575ADA9DD729ACECB
 */
public class SimpleTreeNodeContentProvider extends TreeContentProviderBase {

	/** Whether to display the root node or not. */
	private final boolean displayRoot;

	/** Constructor. */
	public SimpleTreeNodeContentProvider(boolean displayRoot) {
		this.displayRoot = displayRoot;
	}

	/** {@inheritDoc} */
	@Override
	public Object[] getElements(Object inputElement) {
		CCSMPre.isInstanceOf(inputElement, SimpleTreeNode.class);
		if (displayRoot) {
			return new Object[] { inputElement };
		}
		return getChildren(inputElement);
	}

	/** {@inheritDoc} */
	@Override
	public Object[] getChildren(Object parentElement) {
		CCSMPre.isInstanceOf(parentElement, SimpleTreeNode.class);
		return ((SimpleTreeNode<?>) parentElement).getChildren().toArray();
	}
}